## mudita24 1.0.3+svn13

=== CMakeLists.txt ===
include(FindPkgConfig)

project(mudita24)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
#if (COMMAND cmake_policy)
      #cmake_policy(SET CMP0003 NEW)
      #cmake_policy(SET CMP0011 NEW)
#endif(COMMAND cmake_policy)

IF(NOT DEFINED SHARE_INSTALL_PREFIX)
        SET(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ENDIF(NOT DEFINED SHARE_INSTALL_PREFIX)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

SET(mudita24_INSTALL_NAME  "mudita24-1.0.4")
SET(mudita24_EXEC_NAME     "mudita24")
SET(mudita24_VERSION       "1.0.4")
FIND_PROGRAM(SVNVER svnversion)
if (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
      SET (mudita24_SVNVER 0)
else (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
      EXECUTE_PROCESS( COMMAND svnversion ${PROJECT_SOURCE_DIR}
                       OUTPUT_VARIABLE mudita24_SVNVER 
                       OUTPUT_STRIP_TRAILING_WHITESPACE )
endif (${SVNVER} STREQUAL "SVNVER-NOTFOUND")

## Top documentation dir
IF(NOT DEFINED mudita24_DOC_DIR)
      SET(mudita24_DOC_DIR ${SHARE_INSTALL_PREFIX}/doc/${mudita24_INSTALL_NAME}/)
ENDIF(NOT DEFINED mudita24_DOC_DIR)

#find_package(ALSA 0.9.0 REQUIRED alsa)
# This didn't work. GTK2_INCLUDE_DIRS was blank.
#find_package(GTK2 2.0 REQUIRED gtk)

PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0>=2.20)
# TODO What's the minimum required?
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=1.0.0)

# TODO check for log10
## NPM: version > 1.0.1's logarithmic display requires log10() and therefore
## "-lm". 
#PKG_CHECK_MODULES(M REQUIRED m) 

include_directories(${ALSA_INCLUDE_DIRS})
include_directories(${GTK2_INCLUDE_DIRS})

FIND_PROGRAM(mudita24_ALSACTL alsactl)
# message(" alsactl location: " ${mudita24_ALSACTL} )  
if (${mudita24_ALSACTL} STREQUAL "mudita24_ALSACTL-NOTFOUND")
      SET (mudita24_ALSACTL 0)
endif (${mudita24_ALSACTL} STREQUAL "mudita24_ALSACTL-NOTFOUND")

#
# produce globaldefs.h file
#
configure_file (
      ${PROJECT_SOURCE_DIR}/globaldefs.h.in
      ${PROJECT_BINARY_DIR}/globaldefs.h
      )

include_directories(
      ${CMAKE_CURRENT_BINARY_DIR}
      )

set (mudita24_source_files
      envy24control.c # envy24control.h 
      levelmeters.c 
      midi.c
      mixer.c 
      patchbay.c 
      hardware.c 
      driverevents.c 
      volume.c 
      profiles.c # profiles.h 
      midi.h 
      config.c # config.h
)

add_executable( mudita24 ${mudita24_source_files} )

##
## Compilation flags 
## Oct 18, 2011: Suggested by James Morris along with supplied patch:                                               
##   -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE 
## Incomplete changes to source for now, causes errors.
#
# set_target_properties( mudita24
#      PROPERTIES COMPILE_FLAGS "-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE"
#      )

target_link_libraries(mudita24
      ${ALSA_LIBRARIES}
      ${GTK2_LIBRARIES}
      #${M_LIBRARIES}
      m
      )

install( TARGETS mudita24 
      RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/
      )

## Top documentation dir
IF(NOT DEFINED mudita24_DOC_DIR)
      SET(mudita24_DOC_DIR ${SHARE_INSTALL_PREFIX}/doc/${mudita24_INSTALL_NAME}/)
ENDIF(NOT DEFINED mudita24_DOC_DIR)

## Install doc files
file (GLOB doc_files
      README.profiles
      )
INSTALL( FILES ${doc_files} DESTINATION ${mudita24_DOC_DIR})

# produce the manpages
# TODO:
# configure_file (
#      mudita24.1.in
#      ${PROJECT_BINARY_DIR}/man/${mudita24_EXEC_NAME}.1
#      )
#install( FILES 
#      ${PROJECT_BINARY_DIR}/man/${mudita24_EXEC_NAME}.1
#      DESTINATION ${SHARE_INSTALL_PREFIX}/man/man1/
#      )

## mudita24 1.0.3

=== debian/changelog ===
mudita24 (1.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #628072)

 -- Alessio Treglia <alessio@debian.org>  Tue, 21 Jun 2011 10:11:09 +0200

=== debian/control ===
Source: mudita24
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 libasound2-dev,
 libgtk2.0-dev,
 pkg-config
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/mudita24/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mudita24.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mudita24.git

Package: mudita24
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: ALSA GUI control tool for Envy24 (ice1712) soundcards
 Mudita24 is a modification of the Linux alsa-tools' envy24control: an
 application controlling the digital mixer, channel gains and other hardware
 settings for sound cards based on the VIA Ice1712 chipset aka Envy24. Unlike
 most ALSA mixer controls, this application displays a level meter for each
 input and output channel and maintains peak level indicators. This is based
 on Envy24's hardware peak metering feature.
 .
 Mudita24 provides alternate name to avoid confusion with "envy24control
 0.6.0" until changes in this version propagate upstream. As balance to the
 "Envy", this project needed some Mudita "In Buddhism the third of the four
 divine abidings is mudita, taking joy in the good fortune of another. This
 virtue is considered the antidote to envy and the opposite of
 schadenfreude."
 .
 This utility is preferable to alsamixer for those with ice1712-based
 cards: M-Audio Delta 1010, Delta 1010LT, Delta DiO 2496, Delta 66, Delta 44,
 Delta 410 and Audiophile 2496. Terratec EWS 88MT, EWS 88D, EWX 24/96, DMX
 6Fire, Phase 88. Hoontech Soundtrack DSP 24, Soundtrack DSP 24 Value,
 Soundtrack DSP 24 Media 7.1. Event Electronics EZ8. Digigram VX442.
 Lionstracs, Mediastaton. Terrasoniq TS 88. Roland/Edirol DA-2496.

Package: mudita24-dbg
Section: debug
Priority: extra
Architecture: any
Depends: mudita24 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for mudita24
 Mudita24 is a modification of the Linux alsa-tools' envy24control: an
 application controlling the digital mixer, channel gains and other hardware
 settings for sound cards based on the VIA Ice1712 chipset aka Envy24.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel --with autoreconf

override_dh_strip:
	dh_strip --dbg-package=mudita24-dbg

override_dh_install:
	dh_install
	cd debian/mudita24/usr/bin && mv envy24control mudita24
	cd debian/mudita24/usr/share/man/man1 && \
		mv envy24control.1 mudita24.1

## mudita24 1.0.3%2Bsvn13

=== debian/changelog ===
mudita24 (1.0.3+svn13-5) unstable; urgency=medium

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 11:06:18 +0000

mudita24 (1.0.3+svn13-4) unstable; urgency=low

  * Add desktop launcher and icon file.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 11 Mar 2012 10:00:28 +0100

mudita24 (1.0.3+svn13-3) unstable; urgency=low

  * Attempt to make meters work again. (Closes: #655708)

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Jan 2012 18:33:29 +0100

mudita24 (1.0.3+svn13-2) unstable; urgency=low

  * Build mudita24 on linux-any only.
  * Depends on alsa-utils.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Jan 2012 18:31:15 +0100

mudita24 (1.0.3+svn13-1) unstable; urgency=low

  * New upstream snapshot.
  * Change buildsystem from autoconf to cmake.
  * envy24control has been renamed to mudita24 by upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Jan 2012 17:51:37 +0100

## mudita24 1.0.3+svn13

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,25 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ cmake,
+ debhelper (>= 7.0.50~),
  libasound2-dev,
  libgtk2.0-dev,
  pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/mudita24/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mudita24.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mudita24.git
 
 Package: mudita24
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Architecture: linux-any
+Depends:
+ alsa-utils,
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: ALSA GUI control tool for Envy24 (ice1712) soundcards
  Mudita24 is a modification of the Linux alsa-tools' envy24control: an
  application controlling the digital mixer, channel gains and other hardware
@@ -43,7 +47,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: mudita24 (= ${binary:Version}),
+Depends:
+ mudita24 (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for mudita24
  Mudita24 is a modification of the Linux alsa-tools' envy24control: an

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=mudita24-dbg

=== debian/watch ===
version=3
http://nielsmayer.com/envy24control/mudita24-([\d\.]+)\.tar\.gz

## mudita24 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,9 +14,9 @@
 set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
 set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
 
-SET(mudita24_INSTALL_NAME  "mudita24-1.0.4")
+SET(mudita24_INSTALL_NAME  "mudita24-1.1.0")
 SET(mudita24_EXEC_NAME     "mudita24")
-SET(mudita24_VERSION       "1.0.4")
+SET(mudita24_VERSION       "1.1.0")
 FIND_PROGRAM(SVNVER svnversion)
 if (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
       SET (mudita24_SVNVER 0)

=== debian/changelog ===
mudita24 (1.1.0-0~precise1) precise; urgency=low

  * Update to stable release

 -- falkTX <falktx@gmail.com>  Mon, 11 Feb 2013 11:03:07 +0000
